
                          Coccinella CHANGES
                          ------------------


Not to mention all bugfixes and rewrites.

Coccinella-0.96.20 (20100929)

 o Better detection of file names (603187)
 o Fix error when trying to remove the last profile (260661)
 o Chat state notifications trigger contact actions (270689)
 o Russion translation of "Close message and main window separatelly" (540176)
 o Exception when trying to edit contact actions on a offline group (555643)
 o Automatic reconnection (140408)
 o Added additional tips (152723)
 o Verify server certicate (551811)
 o Speed improvements (552466)
 o Run Coccinella on 64 bit systems (380289)
 o Public servers dropdown list is fixed (555902)

Coccinella-0.96.18 (20100331)

 o enabled DnD of contacts within the roster works now with all styles (507360)
 o enhanced management of contacts which are members of multiple groups (507360)
 o in IRC, now all participants are shown in the member list (432076)
 o fix exception trying to enter IRC room with +r mode (434196)
 o fix exception using nick completion in IRC MUC rooms (516436)
 o fix exception opening the business card editor (497409)
 o fix exception opening the item editor in the whiteboard (540445)
 o fix exception trying to reload broken images in whiteboard (544183)

Coccinella-0.96.16 (20091201)

 o XEP-0202 support Entity Time enabled (441223)
 o fixed exception on MacOS X regarding sound device selection (427951)
 o login settings are now saved (180132)
 o wrong password behaviour fixed (147392)
 o fixed exception when some plugins were disabled (456982)
 o removed usage of obsolete clock option -gmt (454856)
 o enter password dialog: no focus (454527)
 o when a transport died on the server, a wrong Edit Contact dialog was shown (451037)
 o edit business card dialog can be opened multiple times (179936)
 o login to google-talk with wrong username/password leads to segfault on OpenBSD (460499)
 o business card window, error retrieving client infos (441293)
 o error opening business card dialog when someone has geoloc info enabled (437700)
 o automatic login fails (427809)
 o support for XEP-0145: Annotations (140336)
 o fixed crash due to tkpath library on Mac OS X 10.6
 o enable Totd at startup (145627)

Coccinella-0.96.14 (20090923)

 o /clean and /retain commands
 o release of new icon themes
 o option to select sound device
 o fixed whiteboard file transfer
 o fixed annoying bug when typing long texts in chat dialog
 o fixed external IP detection

Coccinella-0.96.12 (20090318)

 o switch to gettext for translations
 o encoding issues should be fixed in binary distributions
 o removed unused libraries for smaller download
 o improved transport integration
 o clarifying credits and fixing possible license issues

Coccinella-0.96.10 (20080924)

 o optimized program startup to be faster
 o many icons and icon sets now moved inside the theme hierarchy
 o sound themes now belongs to a theme
 o the login dialog can now be used to edit and create profiles
 o Oxygen icon and emoticon theme
 o control panel with slots
 o search people slot
 o experimental support for chat styles enabled by default

Coccinella-0.96.8 (20080430)

 o all toolbars collapsable on mac
 o menu option to select what to display in status line (JID, status, host)
 o handles multiple DNS SRV records
 o undo/redo of text
 o better support for processing multiple selected contacts in roster
 o native chasing arrows on platforms where this is supported (Mac)
 o improved support for transports
 o chat tab close buttons now on the tabs
 o cleaner transport registration dialogs
 o redesigned themeing directory structure

Coccinella-0.96.6 (20080312)

 o all universal builds on macosx
 o HTTP transport more reliable and optimized
 o compatible with Tcl/Tk 8.5

Coccinella-0.96.4.1 (20080108)

 o disco info results are cached

Coccinella-0.96.4 (20071214)

 o enabled stream image file transfer in whiteboard SVG mode
 o colored nicknames with user selected color schemes
 o drag-and-drop roster items inside roster
 o drag-and-drop files to roster items
 o drag-and-drop roster items to desktop or other applications as text/plain
 o xml console
 o spell checking
 o secure (sasl) indicator
 o major rework of subscription dialogs
 o improved component/plugin control
 o si-pub support, used by whiteboard svg mode
 o improved responsiveness during file transfer

Coccinella-0.96.2 (20070919)

 o added support for XEP-0172: User Nickname
 o added autoaway which detects any system inactivity like mouse and keyboard
 o added user activity XEP-0108: User Activity
 o added support for XEP-0106: JID Escaping
 o vCards can be exported to xml files
 o major revision of user experience
 o easier way to manage background images
 o major restructure of menus
 o better consistency among themes (skins)

Coccinella-0.96.0 (20070525)

 o removed the p2p whiteboard mode
 o the whiteboard code can now optionally be removed from the application
 o added settings on unix for default web browser and email client
 o automatically gets a list with free jabber servers when registering new account
 o updated pep/mood code to version 1.0 of the PEP protocol
 o support for geolocation
 o much faster roster population code
 o added roster search method
 o added md5 hash checks for file transfer (bytestreams)
 o added proxy support for bytestreams
 o added support for XEP-0050: Ad-Hoc Commands 

Coccinella-0.95.16 (20070214):

 o new dynamic status menus
 o new basic dialogs on unix
 o new avatar settings button and menu
 o configurable JID or status entry in main window
 o added file/import/emoticons menu command
 o added file/export/roster menu command
 o added search previous
 o added menu to increase the smallest font sizes in two steps
 o added SOCKS proxy, compatible with SimpLite-Jabber
 o cleaner groupchat dialog with new methods to set subject and nickname
 o added collapsable and flexible toolbars
 o chat subject now set by pressing Return in subject field
 o users name attribute can now be edited directly in situ (in roster)
 o faster chat history parsing
 o added uri support for the KDE desktop environment
 o added support to handle xdata forms embedded in normal messages

Coccinella-0.95.15 (20061117):

 o added option to avoid saving password when registering
 o added Jabber/Register/ICQ,MSN,... sub menus
 o lot of fixes to iaxclient voip part
 o more robust TLS negotiation on slow networks
 o now the complete prefs folder can be stored on a removable drive

Coccinella-0.95.14 (20061010):

 o support for DNS SRV and TXT (HTTP) lookup
 o pubsub library support
 o library support for JEP-0138: Stream Compression
 o text search in history and chat dialogs
 o parsing xmpp URIs updated to RFC 4622; added in text xmpp URI parsing
 o added code for JEP-0147: XMPP URI Scheme Query Components 
 o in-text parsing of mailto and im URI's
 o added metakit whiteboard file format for single file storage
 o complete inbox now stored as a single file metakit database
 o inbox can be exported to xml file
 o new xml based chat log format
 o added support for pep/mood

Coccinella-0.95.13 (20060622):

 o Critical bugfix for iaxclient on linux systems without audio support

Coccinella-0.95.12 (20060616):

 o new application theme engine
 o systray support on X11 (linux)
 o features on MacOSX: overlay number of received messages in dock;
   logouts on sleep and power down
 o status shortcut can be used to login
 o auto join option for groupchat bookmarks
 o reworked the details of TLS/SSL/SASL connection methods
 o avatar in chat dialogs
 o in tabbed chat dialog close commands only close tab
 o added switch for storing prefs on usb stick etc.
 o toggle chat history
 o tabbed groupchats
 o removed all old agents/browse/conference code
 o support for vcard based avatars
 o file cache for avatars
 o new (flat) minimalistic roster styles
 o added fast bytestreams protocol (Psi)
 o added stun support to get NAT external address.
 o added jingle library support
 o test version of iaxclient/jingle for voip (JEP-0166 and JEP-0179)
 o chat state notification (JEP-0085)
 o new Qt theme on linux (KDE)

Coccinella-0.95.11 (20060115):

 o added support for Growl on mac
 o using treectrl widget in a number of places
 o the roster tree component based with different styles
 o an avatar roster style
 o support for multiple roster iconsets
 o main window configurable toolbar/notebook UI
 o extensive build configuration possible
 o integrated Jive/Asterisk phone presence status

Coccinella-0.95.10 (20051018):

 o server connections using http possible; http proxy added
 o added the tkpng package; png support now required
 o new icons from Everaldo
 o file transfer using si/bytestreams/ibb/file-transfer protocol
 o notification using bouncing dock icon on Mac OS X
 o ignore menu option in groupchat
 o number of unread chat messages shown in tabs and title
 o historic chat messages in lighter color
 o support for conference bookmarks according to JEP-0048
 o whiteboard actions are now constrained to the actual scroll region

Coccinella-0.95.9 (20050821):

 o completely rewritten user interface with new theming engine (tile)
 o vCard avatar

Coccinella-0.95.8 (20050620):

 o reworked the registration process

Coccinella-0.95.7 (20050429):

 o added canvas locking mechanism

Coccinella-0.95.6 (20050425):

 o added PLAIN sasl mechanism
 o updated QuickTime support which fixed an instabilty problem
   and an audio problem on Windows
 o fixed snapshot bug

Coccinella-0.95.5 (20050311):

 o added support for kprinter on unix
 o status changes displayed in roster
 o roster remembers which dir items opened/closed
 o can hide offline/transports in roster
 o added a keepalive mechansism to guard against aggresive routers


Coccinella-0.95.4 (20050126):

 o critical bug in one of the message catalogs


Coccinella-0.95.3 (20050125):

 o minor bugfixes
 o added add server feature to disco


Coccinella-0.95.2 (20041217): 	Short summary --

 o each page, roster, disco, browser, agents, now have their own status widget
 o extended buddy pouncing
 o added automatic login option
 o improved smiley/url text parsing which is 20 times faster
 o reworked layoyt of tree widget
 o muc chatrooms now show users role
 o httpd can mount directories; using css for 404 and dir listings
 o the cache should now remember files between launches
 o bindings to Gnome Meeting on unix


Coccinella-0.95.1 (20040930): 	Short summary --

 o SASL authentication
 o Reworked several dialogs (new user, edit user, subscription)
 o Reworked how transports are displayed and handled


Coccinella-0.95.0 (20040904): 	Short summary --

 o tabbed chat dialog
 o auto hide scrollbars
 o new info menu
 o reworked the profile settings dialog
 o reorganized prefs panels
 o improved notebook interface for smoother refresh
 o added the possibility to use ssl when registering new account
 o now automatically login after registration
 o buddy pouncing as a component
 o reworked incoming message dialog
 o extra options for profiles now in tabbed notebook
 o Itcl interface for applets accessing whiteboard functions
 o Itcl runtime environment for applets
 o mechanism to add custom protocol
 o card game applet as a first example of runtime and custom protocol
 o slide show component
 o xmpp uri parser
 o restricted to single instance on Windows
 o synced playback for QuickTime
 o using disco as default in place of browse


Coccinella-0.94.11 (20040601): 	Short summary --

 o internal ip not always set correctly which made transfers fail


Coccinella-0.94.10 (20040528): 	Short summary --

 o STRINGPREP fixes in roster, browse, disco,...
 o minor fixes for XMPP (ejabberd and jabberd2)


Coccinella-0.94.9 (2004????): 	Short summary --

 o prepared for using xml/svg for all whiteboard stuff
 o major internal code reorganizations to separate whiteboard code from 
   rest and be independent of protocols
 o reworked the groupchat dialog from scratch
 o major restructure of all browse code
 o added support for emoticon sets
 o added disco support
 o new component mechanism for plugins
 o removed all addons stuff, and moved to plugins
 o windows taskbar
 o added privacy/filter support


Coccinella-0.94.8 (20040305): 	Short summary --

 o fixed critical bugs in p2p startup
 o fixed bug when auto away
 o added SVG importer


Coccinella-0.94.7 (20040228): 	Short summary --

 o separating actual whiteboard code from rest.
 o uses resource database for everything, also images
 o chat dialog rewritten; new buttons, jabber:x:event support
 o using a hooks mechanism to handle callbacks in a more way
 o user profiles rewritten from scratch
 o alert sounds part rewritten; added a few more sound events;
   added possiblity to use sound sets
 o reworked tabbed notebook interface
 o added support for tkdnd (drag and drop) in the whiteboard for
   linux/unix and windows


Coccinella-0.94.6 (2003????): 	Short summary --

 o internal http server in its own thread if available
 o better redo/undo functionality
 o fixed stacking inconsistencies when sharing images
 o background image in tree widget (roster)
 o better handling of event sounds
 o new addon structure for extensions
 o fixed cut/copy/paste menus on macs
 o files transported were not always cached, now fixed
 o incoming files will now have there file names encoded to avoid name conflicts
 o added games item with chess as a first example
 o added (primitive) printing support for Mac OS X
 o sorted out how to handle 2/3-tier jids in chats and messages
 o reworked button tray into a mega widget


Coccinella-0.94.5 (200309??): 	Short summary --

 o jid completion entry
 o setup assistant with free servers info dialog
 o fixed really nasty bug where the ip number was not set correctly
   on systems with multiple network interfaces, typically when using ppp
 o removed smoothness option, added smooth operation of polygons
 o added auto update mechanism
 o added chat history dialog
 o reworked internals of the inbox, new file format
 o plugin control preference panel
 o much improved feedback with "broken image"
 o better handling of passive http transports
 o changed name of main file to Coccinella.tcl


Whiteboard-0.94.4 (20030616): 	Short summary --

 o all jabber UI elements moved from whiteboard window to roster window
 o get side of file transport rewritten from scratch
 o MUC support at client level
 o a plugin structure for the whiteboard


Whiteboard-0.94.3 (200301??): 	Short summary --

 o whiteboards now multiinstance for jabber; send single whiteboard
   messages, each chat and groupchat in separate whiteboards
 o uses full 3-tier jid in roster now
 o auto browse users to detect if coccinellas, set icon in roster
 o updated balloon info in roster
 o many rewrites
 o really many bugfixes...


Whiteboard-0.94.2 (2002????): 	Short summary --

 o undo/redo method of canvas
 o localization (language adaption) introduced via message catalogs
 o new directory structure for prefs and inbox
 o changed GUI for jabber with persistant address fields
 o changed canvas file format, reads old, writes new
 o debug console for jabber I/O
 o numerous rewrites and bugfixes


Whiteboard-0.94.1 (2002????): 	Short summary --

 o complete rewrite of the put side of the peer-to-peer file transfer
 o roster and browser (or agents) in tabbed window
 o use agents as fallback if no browsing
 o added old groupchat protocol in case
 o auto speech bubble from popup
 o smart tool button popups
 o new file cache database
 o modified image handling which makes image copy & paste incompatible
   with earlier versions
 o now saves inbox between sessions
 o SSL now works with jabber server
 o fixed really nasty bug in the xml parser
 o numerous rewrites and bugfixes


Whiteboard-0.94 (2002????): 	Short summary --

 o new inbox and other dialogs for message handling
 o printing support, expat parser, ssl, MS Speech on Windows
 o reorganized code so that the whiteboard toplevel is more
   objectified to allow multiple instances
 o large code rewrites for better organization
 o parsing smileys and http links in jabber dialogs
 o changed jabber xml namespace to coccinella:wb ,
   which makes it incompatible with 0.93!
 o scrollbars for canvas in whiteboard, no synced window sizes
 o QuickTime movies streamed via http if possible


Whiteboard-0.93.1 (2002????): 	Short summary --
	
 o minor bugfixes and error checks
 o added prefs(stripJabber) option
 o fixed return -code in TclXML's ElementClose
 o fixed registration bug when resetting xml parser
 o restricted sending to ill formed jid's (@jabber.org)


Whiteboard-0.93 (20020127): 	Short summary --

 o adapting to the jabber XML IM server system
 o preferences are now collected in one window
 o code base more than doubled compared to 0.92...


Whiteboard-0.92 (20001128): 	Short summary --

 o new tiny http server
 o is now running on Windows (98)
 o serves streaming media to QuickTime from the TinyHttpd server
 o all nontransparent gifs now Mime encoded in the scripts
 o much of the code now as packages instead of source'ed directly
 o new centralized network via a reflector server
 o flash free window updates
 o handles new dashed options of canvas
 o new supported extensions: Img, snack, tkprint
 o working menu accelerators
 o movie controller widget with bindings to snack sound objects
 o many code rewrites, bug fixes, and enhancements


Whiteboard-0.91 (20000517): 	Short summary --

 o new tools, arc item and rotate
 o collapsable shortcut toolbar
 o splash screen
 o items menu for pre made items
 o put/get operations rewritten with new protocol
 o safety check in server
 o support for the xanim application on unix/linux
 o systematic use of mime types for handling multimedia imports
 o systematic handling of extensions
 o font import mechanism for using chinese and other multibyte fonts
 o many code rewrites, bug fixes, and enhancements


Whiteboard-0.90 (19991201): 	First official release.





